#ifndef RT_VK_TRANSFERS_H
#define RT_VK_TRANSFERS_H

#include "gpu.h"
#include "runtime/runtime.h"

enum {
    RT_NO_TRANSFER_SLOTS = RT_CUSTOM_ERROR_START,
};

rt_result rtUploadToBuffer(VkBuffer buffer, VmaAllocation allocation, rt_gpu_queue current_owner, const void *data, size_t nbytes);

/* Wait until transfers to gpu resources are finished. */
void rtFlushGPUTransfers(void);

#endif
